Package org.opensaml.saml.saml2.profile

# Interface SAML2NameIDGenerator

All Superinterfaces:
  `NameIdentifierGenerator<NameID>`

All Known Implementing Classes:
  `AbstractSAML2NameIDGenerator`, `ChainingSAML2NameIDGenerator`

public interface SAML2NameIDGenerator extends NameIdentifierGenerator<NameID>
Specialization of `NameIdentifierGenerator` for SAML 2.0.

## Method Summary

Modifier and Type
Method
Description
`NameID`
`generate(ProfileRequestContext profileRequestContext, String format)`
Generate an identifier object.

## Method Details

### generate

@Nullable NameID generate(@Nonnull ProfileRequestContext profileRequestContext, @Nonnull @NotEmpty String format) throws SAMLException
Generate an identifier object.

Specified by:
  `generate` in interface `NameIdentifierGenerator<NameID>`
Parameters:
  `profileRequestContext` - the current profile request context
  `format` - the identifier format to generate
Returns:
  the identifier object, or null
Throws:
  `SAMLException` - if an error occurs generating an identifier